Bug 1801624 - Heal pending on volume, even after all the bricks are up
Summary: Heal pending on volume, even after all the bricks are up
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: replicate
Version: mainline
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1804591 1804594
TreeView+ depends on / blocked
 
Reported: 2020-02-11 11:44 UTC by Ravishankar N
Modified: 2020-06-02 06:00 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1792821
: 1804591 (view as bug list)
Environment:
Last Closed: 2020-02-18 09:12:11 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Gluster.org Gerrit 24109 0 None Merged afr: prevent spurious entry heals leading to gfid split-brain 2020-02-18 09:12:10 UTC

Comment 1 Worker Ant 2020-02-11 11:51:23 UTC
REVIEW: https://review.gluster.org/24109 (afr: prevent spurious entry heals leading to gfid split-brain) posted (#1) for review on master by Ravishankar N

Comment 2 SATHEESARAN 2020-02-11 14:58:47 UTC
Steps to reproduce:

1. Create replica 3 volume
2. Enable 'granular-entry-heal' on the volume
# gluster volume heal <vol> granular-entry-heal enable
3. Fuse mount the volume
4. Create a file 'f1' on the fuse mount
5. Kill one of the brick say 'b2'
6. Now remove the file 'f1' and create a new file 'f1'
7. Trigger heal, even before bringing up the down brick
# gluster volume heal <vol>
8. Bring the brick up
9. Check for heal info

Comment 3 Worker Ant 2020-02-18 09:12:11 UTC
REVIEW: https://review.gluster.org/24109 (afr: prevent spurious entry heals leading to gfid split-brain) merged (#8) on master by Ravishankar N


Note You need to log in before you can comment on or make changes to this bug.